
Redmine - Defect #29816

MyHelper::render_activity_block is not timezone aware

2018-10-19 10:20 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

This is a known problem. #14658

The following code can be applied to solve the problem.

diff --git a/app/helpers/my_helper.rb b/app/helpers/my_helper.rb

index 8320749fc0..df0c4cf1d2 100644

--- a/app/helpers/my_helper.rb

+++ b/app/helpers/my_helper.rb

@@ -166,7 +166,7 @@ module MyHelper

   end

   def render_activity_block(block, settings)

-    events_by_day = Redmine::Activity::Fetcher.new(User.current, :author => User.current).events(

nil, nil, :limit => 10).group_by(&:event_date)

+    events_by_day = Redmine::Activity::Fetcher.new(User.current, :author => User.current).events(

nil, nil, :limit => 10).group_by {|event| User.current.time_to_date(event.event_datetime)}

     render :partial => 'my/blocks/activity', :locals => {:events_by_day => events_by_day}

   end

Related issues:

Related to Redmine - Feature #2471: Add my activities to my page Closed 2009-01-08

Associated revisions

Revision 17600 - 2018-10-21 01:43 - Go MAEDA

Fix that MyHelper::render_activity_block is not timezone aware (#2471, #29816).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-10-19 10:22 - Marius BĂLTEANU

- Description updated

#2 - 2018-10-20 03:17 - Go MAEDA

- Related to Feature #2471: Add my activities to my page added

#3 - 2018-10-21 01:44 - Go MAEDA

- Subject changed from My page's "activities block" date ignores the user's time zone to MyHelper::render_activity_block is not timezone aware

- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch as a part of #2471. Thank you.
